@import "@/assets/scss/variables.scss";

.m-character-stats-counter {
  text-align: right;

  &__point {
    font-size: 24px;
    // line-height: 40px;
  }
}

/* Reassigned classes Elemet UI */
.m-character-stats-counter {
  .el-input-number {
    width: 150px;
    line-height: 100%;
  }

  .el-input__inner {
    font-size: 24px;
    background-color: $dark-active;
    color: $white;
    border-color: $main;
    border-radius: 3px;
  }

  .el-input-number .el-input__inner {
    padding-left: 30px;
    padding-right: 30px;
  }

  [role="button"] {
    border: 0;
    background: $main60;
    color: $white;
    font-size: 24px;
    border-radius: 0;
    margin-top: -1px;
    line-height: 40px;
    height: 40px;

    &.is-disabled {
      background: $danger-hover;
    }

    &.el-input-number__decrease {
      border: 1px solid $main;
      margin-left: -1px;
      border-radius: 3px 0 0 3px;

      &.is-disabled {
        border: 1px solid $danger-active;
      }
    }
    &.el-input-number__increase {
      border: 1px solid $main;
      margin-right: -1px;
      border-radius: 0 3px 3px 0;

      &.is-disabled {
        border: 1px solid $danger-active;
      }
    }

    &.el-input-number__decrease:hover:not(.is-disabled)
      ~ .el-input
      .el-input__inner:not(.is-disabled),
    &.el-input-number__increase:hover:not(.is-disabled)
      ~ .el-input
      .el-input__inner:not(.is-disabled) {
      border-color: $main;
    }

    &:active:not(.is-disabled) {
      background: $main;
    }
  }
}
